//
//  TonePlayer.h
//  iTone
//
//  Created by Allen Porter on 4/20/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <CoreAudio/CoreAudio.h>

enum Mode {
    SIN = 0,
    SQUARE,
    SAWTOOTH,
    TRIANGLE,
    THEREMIN,
};

@interface TonePlayer : NSObject {
    int sample;
    int frequency;
    int mode;
    AudioDeviceID device;
    AudioStreamBasicDescription description;
	float audioArray;   // added by franz to receive float array as buffer
}

- (id) init;

@property(readwrite) int mode;
@property(readwrite) int frequency;
@property(readwrite) int sample;
@property(readonly) float audioArray;  // added by franz

- (BOOL) start;
- (BOOL) stop;
@end
